import httpRequest from '@/utils/axios'

// 获取案例成绩记录
export function caseRankRecords(params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v3/admin/training/case-rank-records', { params }, { headers })
}

// 获取案例训练排行榜
export function caseRanks(params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v3/admin/training/rank/case-training', { params }, { headers })
}

// 同步案例排行榜中用户的数据
export function syncCaseRankRecords(data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put('/api/opera/v3/admin/training/rank/sync/case-rank-records', data, { headers })
}

// 刷新排行榜
export function refreshCaseRank(data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v3/admin/training/refresh-case-rank', data, { headers })
}
